Get data source
curl --request GET \
--url https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId} \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"id": "datasource-cadsgfsdagasgadsg",
"datasetId": "dataset-dagasdgasgasg",
"name": "test.csv",
"fileName": "test.csv",
"type": "FILE",
"status": "pending"
}
}Data sources
Get data source
Obtains information about the specified data source.
GET
/
v1
/
team
/
datasets
/
{datasetId}
/
datasources
/
{datasourceId}
Get data source
Authorizations
Headers
The external trace ID. The length ranges from 0 to 128 characters.
Path Parameters
The ID of the dataset that contains the data source.
The data source ID.
Response
200 - application/json
⌘I